using Server;
using GameMessage.PaoDeKuaiF;

namespace PdkFriendServer.GlobalManager
{
    public class GameSeverManager : GameBase
    {
        protected override GameUtilFactory CreateFactory()
        {
            return new PdkFactory();
        }

        protected override void PreLoadMessagePack()
        {
            PdkGamePack pack = new PdkGamePack();
            byte[] data = MessageHelper.MessagePackSerialize(pack);
            pack = MessageHelper.MessagePackDeserialize<PdkGamePack>(data);
        }
    }
}
